Bug 89792 - RFE: provide kernel with desktop specific patches
RFE: provide kernel with desktop specific patches
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-28 11:18 EDT by Tom Vergote
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Vergote 2003-04-28 11:18:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
it would be nice if redhat offered a kernel that was patched and compiled
specifically for desktop use. it would make a real difference in perceived speed
for the desktop user.
i don't mean replacing the kernel, but offering it as an alternative like the
smp kernel and others

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile new kernel with patches
2. watch speed difference
3.
    

Additional info:
Comment 1 Arjan van de Ven 2003-04-28 11:21:43 EDT
RHL9 is already intended to be tuned for desktop use. What kind of patches did
you have in mind ?
(the low latency patchkit is already included for example)
Comment 2 Tom Vergote 2003-04-29 07:22:19 EDT
is the low latency patch compiled into the kernel, i know it's included in the
sources, but i thought the default kernel was compiled without it

i also like the preemptible patch a lot
http://www.tech9.net/rml/linux/

Comment 3 Arjan van de Ven 2003-04-29 07:24:31 EDT
the low latency patches are compiled into all kernels.
I'm not going to merge the preemptable patches; they provide little gain on top
of lowlat (we've done the measurements) and in addition are not feasible on 2.4
kernels, it just changes too much of the fundamental assumptions of the code. In
2.5 kernels all those are (still) getting fixed, but in 2.4 it's just not doable.
Comment 4 Bugzilla owner 2004-09-30 11:40:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.